<template>
  <mt-box padding="1rem" class="mt-pop-up-contact">
    <h1>Contacts Unité {{ organisme.code }}</h1>
    <div v-for="(contact, index) in organisme.contacts" :key="index">
      <div class="columns">
        <b-icon size="is-small" class="column is-narrow" icon="account"></b-icon>
        <div class="column has-text-left">
          <mt-utilisateur :utilisateur="contact"></mt-utilisateur>
          <div>
            <a :href="'mailto:' + contact.email">{{ contact.email }}</a>
          </div>
          <div>
            <a :href="'tel:' + contact.telephone">{{ contact.telephone }}</a>
          </div>
        </div>
      </div>
      <br />
    </div>
  </mt-box>
</template>

<script>
import MtBox from '~/components/base/box';
import MtUtilisateur from '~/components/pax/mt-utilisateur';

export default {
  name: 'MtPopupContact',
  components: { MtBox, MtUtilisateur },
  props: {
    organisme: {
      type: Object,
      default: () => {},
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-pop-up-contact {
  margin: 1rem;
  position: absolute;
  top: 5px;
  display: none;
  width: 250px;
  z-index: 100;
  font-size: 0.75rem;
  color: #3a3a3a;
  border-radius: $border-radius;
  box-shadow: 0 2px 4px -1px rgba(95, 95, 95, 0.5), 0 0 3px rgba(95, 95, 95, 0.25);
  h1 {
    color: $soft-blue;
    font-size: 1rem;
    font-weight: bold;
    line-height: 1.17;
    padding: 0.5em 0;
    white-space: normal;
  }
  small {
    white-space: normal;
    font-size: 0.75rem;
    margin: 0.5em 0;
    display: inline-block;
    max-height: 4.5em;
    overflow: hidden;
    text-align: left;
    word-break: break-word;
  }
}
</style>
